Name: dbh
Version: 1.0.24
Release: alt2

Summary: Disk based hash library
License: GPL
Group: Databases
Packager: Andrey Astafiev <andrei@altlinux.ru>
Url: http://dbh.sourceforge.net

Source: %name-%version.tar.bz2

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

# Automatically added by buildreq on Tue Mar 15 2005
BuildRequires: gcc-c++ hostinfo libstdc++-devel

%description
Disk based hashes is a method to create multidimensional binary trees on disk.
This library permits the extension of database concept to a plethora of
electronic data, such as graphic information. With the multidimensional binary
tree it is possible to mathematically prove that access time to any
particular record is minimized (using the concept of critical points from
calculus), which provides the means to construct optimized databases for
particular applications.

%package -n lib%name
Summary: dbh shared library
Group: System/Libraries

%description -n lib%name
This package contains shared library required for packaging
libdbh-based software.

%package -n lib%name-devel
Summary: Development files for libdbh
Group: Development/C
PreReq: lib%name = %version-%release

%description -n lib%name-devel
This package contains development files required for packaging
libdbh-based software.

%package -n lib%name-devel-static
Summary: Static libraries for libdbh
Group: Development/C
PreReq: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains development libraries required for packaging
statically linked libdbh-based software.

%prep
%setup -q

%build
%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
autoreconf -vifs
export LDFLAGS="$LDFLAGS -lm"
%configure %{subst_enable static}
%make_build

%install
%makeinstall

%files -n lib%name
%doc AUTHORS ChangeLog doc/dbh-hash-tables.html
%_libdir/libdbh*.so.*
%_libdir/pkgconfig/*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Sun Jun 19 2005 Andrey Astafiev <andrei@altlinux.ru> 1.0.24-alt2
- Added -lm flag.

* Tue Mar 15 2005 Andrey Astafiev <andrei@altlinux.ru> 1.0.24-alt1
- 1.0.24

* Thu Nov 11 2004 Andrey Astafiev <andrei@altlinux.ru> 1.0.20-alt1
- 1.0.20

* Sun Dec 07 2003 Andrey Astafiev <andrei@altlinux.ru> 1.0.17-alt3
- *.la files removed.

* Mon Nov 03 2003 Andrey Astafiev <andrei@altlinux.ru> 1.0.17-alt2
- Fixed Buildrequires.

* Fri Oct 31 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.0.17-alt1
- 1.0.17

* Tue Apr 15 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.0-alt1
- First version for AltLinux Team.
